Subject: bug#21720: Building gcc fails at target s-attrtab

From: Efraim Flashner <[email-masked]>
Date: Sat, 24 Oct 2015 23:35:54 +0300

On Fri, 23 Oct 2015 22:56:04 +0200
Aljosha Papsch <[email-masked]> wrote:

> On 23.10.2015 01:04, Aljosha Papsch wrote:
> > It got 4GB of RAM but none of swap. dmesg really shows something, 
> > please see attachment. I'll try hooking up some swap and see how it goes.  
> 
> I hooked up an old 4GB swap partition and during the build process it 
> was used a bit. This time, the build process got a little further, but 
> it got stuck again at another phase. Please see the attached build log. 
> The error message is "No space left on device", though the file system 
> on wich guix runs has 85GB left.

the error message is near the end of the log:
../../gcc-4.9.3/gcc/tree-ssa-ccp.c:2751:1: fatal error: error writing to /tmp/nix-build-gcc-4.9.3.drv-0/cc5mntgw.s: No space left on device
 }
I assume /tmp is part of / on your system. How much free space do you have
there? That's where the building is done.

> 
> Dmesg isn't helpful this time, an error should appear between these two 
> messages:
> [17910.001324] Adding 3948540k swap on /dev/mapper/fed-swap. Priority:-1 
> extents:1 across:3948540k FS
> [18118.026198] wlp0s26u1u2: AP 00:00:00:00:00:00 changed bandwidth, new 
> config is 2412 MHz, width 1 (2412/0 MHz)
> 
> For the fun of it, I plotted the memory consumption using gnuplot. While 
> the build process was busy, I captured memory usage with "free -s1 > 
> memory.log". A little scheme helped transform that into a data file for 
> gnuplot. The x axis is the datum, e.g. nth capture. Near the end, free 
> memory goes up sharply. This is where the build process failed and the 
> machine went idle.
> 
> Aljosha

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted